<?php

require_once "vendor/autoload.php";

use App\Libreria\Conexion;

new Conexion();

use App\Models\Nivel;


if (isset($_POST['editar']) and !empty($_POST['editar'])) {
    if ($_POST['tipo_acceso'] == "") {
        $_SESSION['respuesta'] = [
            'error' => "El campo tipo no puede estar vacio"
        ];
        header("Location: " . $_SERVER["HTTP_REFERER"]);
    } else {
        $post_tipoacceso = strtoupper($_POST['tipo_acceso']);

        /**si existe el tipo de acceso */
        $tipo_acceso = Nivel::find($_POST['id_tipoacceso']);
        if ($tipo_acceso) {
            $tipo_acceso->nombre = $post_tipoacceso;
            $tipo_acceso->save();

            $_SESSION['respuesta'] = [
                'success' => "Se actualizo el tipo de acceso a " . $post_tipoacceso
            ];
            header("Location: " . $_SERVER["HTTP_REFERER"]);
        }else{
            $_SESSION['respuesta'] = [
                'error' => "No se a encontrado el tipo de acceso"
            ];
            header("Location: " . $_SERVER["HTTP_REFERER"]);
        }
    }
}

echo 'vacio';
